<?

$query_access = "
CREATE TABLE bbsAccess (
  mNo int(11) NOT NULL auto_increment,
  mID varchar(13) NOT NULL default '',
  mPassword varchar(6) NOT NULL default '',
  mName varchar(10) NOT NULL default '',
  mFirstAccess timestamp(14) NOT NULL,
  mLastAccess timestamp(14) NOT NULL,
  UNIQUE KEY mNo (mNo),
  UNIQUE KEY mID (mID)
) TYPE=MyISAM AUTO_INCREMENT=1 
";

$query_admin ="
CREATE TABLE bbsAdmin (
  mNo int(11) NOT NULL auto_increment,
  mID varchar(13) NOT NULL default '',
  mPassword varchar(6) NOT NULL default '',
  mName varchar(10) NOT NULL default '',
  mIsRoot char(1) NOT NULL default 'N',
  mPhone varchar(11) NOT NULL default '',
  mMobile varchar(11) NOT NULL default '',
  mEmail varchar(255) NOT NULL default '',
  mMessenger varchar(255) NOT NULL default '',
  mMessengerKind varchar(20) NOT NULL default '',
  mBirth varchar(8) NOT NULL default '',
  mUpdateTime timestamp(14) NOT NULL,
  mRegisTime timestamp(14) NOT NULL,
  mLastAccess timestamp(14) NOT NULL,
  UNIQUE KEY mNo (mNo),
  UNIQUE KEY mID (mID)
) TYPE=MyISAM AUTO_INCREMENT=1 
";

$query_article = "
CREATE TABLE bbsArticle (
  mNo int(10) unsigned NOT NULL auto_increment,
  mIDX int(11) unsigned NOT NULL default '0',
  mDepth tinyint(4) NOT NULL default '0',
  mParentNo int(11) unsigned NOT NULL default '0',
  mIsNotice tinyint(4) NOT NULL default '0',
  mBoardNo tinyint(3) NOT NULL default '0',
  mCategoryNo tinyint(4) NOT NULL default '0',
  mWriter varchar(20) NOT NULL default '',
  mEmail varchar(255) default NULL,
  mHomepage varchar(255) default NULL,
  mTitle varchar(255) NOT NULL default '',
  mContent text NOT NULL,
  mRecommend int(10) unsigned NOT NULL default '0',
  mRead int(10) unsigned NOT NULL default '0',
  mPassword varchar(20) NOT NULL default '',
  mUpdateTime timestamp(14) NOT NULL,
  mIP varchar(15) NOT NULL default '',
  mFileCount tinyint(4) NOT NULL default '0',
  mCommentCount tinyint(4) NOT NULL default '0',
  UNIQUE KEY mNo (mNo),
  KEY mHeader (mIDX),
  KEY mCategory (mCategoryNo),
  KEY mBoardNo (mBoardNo)
) TYPE=MyISAM AUTO_INCREMENT=1 
";

$query_board = "
CREATE TABLE bbsBoard (
  mNo tinyint(3) unsigned NOT NULL auto_increment,
  mName varchar(255) default NULL,
  mID varchar(13) NOT NULL default '',
  mRegisTime timestamp(14) NOT NULL,
  PRIMARY KEY  (mNo),
  UNIQUE KEY mID (mID)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE bbsCategory (
  mNo tinyint(3) unsigned NOT NULL auto_increment,
  mBoardNo tinyint(3) NOT NULL default '0',
  mName varchar(255) default NULL,
  UNIQUE KEY mNo (mNo),
  KEY mBoardNo (mBoardNo)
) TYPE=MyISAM AUTO_INCREMENT=1 
";

$query_comment = "
CREATE TABLE bbsComment (
  mNo int(10) unsigned NOT NULL auto_increment,
  mArticleNo int(10) unsigned NOT NULL default '0',
  mParentNo int(11) unsigned NOT NULL default '0',
  mDepth tinyint(4) NOT NULL default '0',
  mName varchar(20) default NULL,
  mEmail varchar(255) default NULL,
  mPassword varchar(20) NOT NULL default '',
  mContent text NOT NULL,
  mUpdateTime timestamp(14) NOT NULL,
  mIP varchar(15) NOT NULL default '',
  UNIQUE KEY mNo (mNo),
  KEY mArticleNo (mArticleNo)
) TYPE=MyISAM AUTO_INCREMENT=1
";

$query_file = "
CREATE TABLE bbsFile (
  mNo int(20) unsigned NOT NULL auto_increment,
  mArticleNo int(20) unsigned NOT NULL default '0',
  mName varchar(255) NOT NULL default '',
  mExt varchar(255) NOT NULL default '',
  mSize int(10) unsigned NOT NULL default '0',
  mDown int(10) unsigned NOT NULL default '0',
  mUpdateTime timestamp(14) NOT NULL,
  UNIQUE KEY mNo (mNo)
) TYPE=MyISAM AUTO_INCREMENT=1 
";

$query_link = "
CREATE TABLE bbsLink (
  mNo int(20) unsigned NOT NULL auto_increment,
  mArticleNo int(20) unsigned NOT NULL default '0',
  mUrl varchar(255) NOT NULL default '',
  mExt varchar(255) NOT NULL default '',
  mDown int(10) unsigned NOT NULL default '0',
  mUpdateTime timestamp(14) NOT NULL,
  UNIQUE KEY mNo (mNo)
) TYPE=MyISAM AUTO_INCREMENT=1 
";

?>
