	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG Editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////	
	

	fontsize.prototype.oSelect;
	fontsize.prototype.aOpts;
	fontsize.prototype.oEditor;
	
	
	function fontsize(oEditor){
		this.oEditor = oEditor;
		this.oSelect = null;
		this.aOpts = new Array();
		
		this.aOpts[0] = 'ũ';
		this.aOpts[1] = 'xx-small';
		this.aOpts[2] = 'x-small';
		this.aOpts[3] = 'small';
		this.aOpts[4] = 'medium';
		this.aOpts[5] = 'large';
		this.aOpts[6] = 'x-large';
		this.aOpts[7] = 'xx-large';
	}
	
	fontsize.prototype.getType = function(){
		return 'SELECT';
	}
	
	fontsize.prototype.used = function(){
	}
	
	fontsize.prototype.unused = function(){
	}
	
	
	fontsize.prototype.getElement = function(){
		var oSpan = document.createElement('span');
		
		this.oSelect = document.createElement('select');
		oSpan.appendChild(this.oSelect);
		this.oSelect.className = 'select';
		
		for( key in this.aOpts ){
			op = document.createElement('option');
			this.oSelect.appendChild(op);
			op.value = key;
			op.text = this.aOpts[key];
		}
		
		var oSlt = this;
		this.oSelect.onchange = function(){
			oSlt.oEditor.execCmd("FontSize", false, oSlt.oSelect.value);
			return false;
		}
		
		return oSpan;
	}
	
	fontsize.prototype.getValue = function(){
		if(!this.oSelect || this.oSelect.value == 0) return false;
		else return this.oSelect.value;
	}
	
	fontsize.prototype.setValue = function(sValue){
		if(this.inArrayOpts(sValue) && sValue != false) this.oSelect.value = sValue;
		else this.oSelect.value = 0;
	}
	
	fontsize.prototype.inArrayOpts = function(sValue){
		for( var sKey in this.aOpts ){
			if(sKey == sValue) return true; 
		}
		return false; 
	}
	
	fontsize.prototype.setText = function(sText){
	}