	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG Editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////	
	
	img.prototype.oEditor;
	img.prototype.oImg;
	img.prototype.oMap;
	img.prototype.sMapName;
	
	function img(oEditor, oImg){
		this.oEditor = oEditor;
		this.oImg = oImg;
		
		if( this.oImg.useMap ) this.sMapName = this.oImg.useMap.substring(1);
		else{
			this.sMapName = this.createNewMapName();
			this.oImg.useMap = '#'+this.sMapName;
		}
		
		this.oMap = this.setMap();
	}
	
	
	img.prototype.addArea = function(sShape){
		var oArea = this.oEditor.getDocument().createElement('AREA');
		oArea.shape = sShape;
		
		oArea.coords = arguments[1].join(',');
		oArea.href = '#';
		
		this.oMap.appendChild(oArea);
		return oArea;
	}
	
	
	img.prototype.setMap = function(){
		var oMapElement;
		for( var iKey in this.oEditor.getDocument().all ){
			oMapElement = this.oEditor.getDocument().all[iKey];
			if( oMapElement && oMapElement.nodeType==1 && oMapElement.tagName.toUpperCase()=='MAP' && oMapElement.name==this.sMapName ) return oMapElement;
		}
		oMapElement = this.oEditor.getDocument().createElement( '<MAP name='+this.sMapName+'>' );
		this.oImg.insertAdjacentElement('afterEnd', oMapElement);
		
		return oMapElement;
	}
	
	img.prototype.getMap = function(){
		return this.oMap;
	}
	
	
	img.prototype.createNewMapName = function(){
		var sMapName = '';
		var existMapName = false;
		
		var aMapNames = new Array();
		for( var iKey in this.oEditor.getDocument().all ){
			oMapElement = this.oEditor.getDocument().all[iKey];
			if( oMapElement && oMapElement.nodeType==1 && oMapElement.tagName.toUpperCase()=='MAP' ) aMapNames.push(oMapElement.name);
		}
		
		for( var i=1; i<=200; i++){
			sMapName = 'WebEditor_Map_'+i.toString();
			if(in_array(sMapName, aMapNames) == -1) return sMapName;
		}
		return '';
	}