	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////

	/////////////////////////////////////////////////////////////////////////////////////////////////
	// config Start
	/////////////////////////////////////////////////////////////////////////////////////////////////
	
	// Basic Directory
	var WebEditor_Basic_Dir = '/sbbs/js/editor';
	
	// Basic Btn Lists
	// '|' is separator 
	var WebEditor_Btns = {
		'Basic'		:['Source','|','Cut','Copy','Paste','|','Undo','Redo','|','Bold','Italic','Underline','StrikeThrough','|','Subscript','Superscript','|','SelectAll','RemoveFormat','|','JustifyLeft','JustifyCenter','JustifyRight','JustifyFull','|','InsertOrderedList','InsertUnorderedList','Indent','Outdent'],
		'Extend'	:['FontName','FontSize','ForeColor','BackColor','|','CreateLink','Unlink','|'/*,'Image'*/,'Table','InsertHorizontalRule','|','Preview'],
		'Advanced'	:[]//['Table','TableProperties','TdProperties','|','TableAddRow','TableDelRow','|','TableAddCol','TableDelCol','|','TableAddCell','TableDelCell','|','TableSpanRow','TableSpanCol','||','Image','ImageMapRectangle','ImageMapCircle','|','Emoticon','|','About']
	};
	
	// Emoticon Popup Size(Width, Height);
	var WebEditor_Emoticon_popup_size = new Array("700px", "500px");
	
	// Emoticon Icon Directory
	var WebEditor_Emoticon_Dir = WebEditor_Basic_Dir + "/emoticon/fun";
	
	// Emoticon Icon, Row Print Icon Number;
	var WebEditor_Emoticon_Num = 10;
	
	// UpLoad Directory
	var WebEditor_Upload_Dir = '/_data/user_imgs';
	
	// UpLoad Size
	var WebEditor_Upload_Size = 2048; // KB (1MB = 1024KB)
	
	// User CSS & Preview CSS
	var WebEditor_User_CSS = WebEditor_Basic_Dir + '/css/user.css';
	
	// P tag to br tag
	var WebEditor_Convert_Tag_P = true;
	
	/////////////////////////////////////////////////////////////////////////////////////////////////
	// End
	/////////////////////////////////////////////////////////////////////////////////////////////////

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	/////////////////////////////////////////////////////////////////////////////////////////////////
	// Basic include WebEditor Directory
	/////////////////////////////////////////////////////////////////////////////////////////////////
	
	document.write('<script language="javascript" src="'+ WebEditor_Basic_Dir +'/js/scripts.js"></script>');
	document.write('<script language="javascript" src="'+ WebEditor_Basic_Dir +'/classes/class.WebEditor.js"></script>');
	
	/////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor Generator Start
	/////////////////////////////////////////////////////////////////////////////////////////////////
	
	WebEditorGenerator.prototype.isIE; // IE, Netscape
	WebEditorGenerator.prototype.oWE; // WebEditor Object
	
	/**
	* Construct
	* 
	* @param String _obj element's id
	* @param String iWidth _obj's width(pixel)
	* @param String iHeight _obj's height(pixel)
	*/
	function WebEditorGenerator(_obj, iWidth, iHeight){
		if(document.all){
			this.isIE = true;
			this.oWE = new WebEditor(_obj, iWidth, iHeight);
		}
		else this.isIE = false;
	}
	
	/**
	* WebEditor Generator
	*/
	WebEditorGenerator.prototype.generate = function(){
		if(this.isIE) this.oWE.generate();
	}
	
	/**
	* change WebEditor mode
	*
	* @param String sMode -> Editor || Source
	*/
	WebEditorGenerator.prototype.setMode = function(sMode){
		this.oWE.setMode(sMode); // Editor || Source
	}
	
	/**
	* return WebEditor mode
	*/
	WebEditorGenerator.prototype.getMode = function(){
		return this.oWE.getMode(); // Editor || Source
	}
	
	/**
	* return WebEditor Text Value
	*/
	WebEditorGenerator.prototype.getValue = function(){
		return this.oWE.getValue();
	}
	
	/**
	* focus
	*/
	WebEditorGenerator.prototype.focus = function(){
		this.oWE.focusEditor();
	}
	
	/////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor Generator End
	/////////////////////////////////////////////////////////////////////////////////////////////////
