	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG Editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////

	importCSS("/css/style.css");
	
	include("/classes/class.toolbar.js");
	include("/classes/class.btn.js");
	include("/classes/class.fontsize.js");
	include("/classes/class.fontname.js");
	include("/classes/class.context.js");
	include("/classes/class.table.js");
	include("/classes/class.img.js");
	
	WebEditor.prototype.oTextArea; 
	WebEditor.prototype.oWE; 
	WebEditor.prototype.oToolbar_Area; 
	WebEditor.prototype.oEditor_Area; 
	WebEditor.prototype.oSource_Area; 
	WebEditor.prototype.oStatusbar_Area; 
	WebEditor.prototype.oBtns = new Array(); 
	WebEditor.prototype.oBtnTables = new Array(); 
	WebEditor.prototype.oBtnImages = new Array(); 

	WebEditor.prototype.iWidth; 
	WebEditor.prototype.iHeight; 
	
	WebEditor.prototype.oSelectedSrcElement; 
	WebEditor.prototype.oSelectedSrcElementCSS = new Array(); 
	
	function WebEditor(TA, iWidth, iHeight){
		this.oTextArea = document.getElementById(TA);
		
		this.iWidth = iWidth || this.oTextArea.style.width || ((this.oTextArea.cols * 8) + 22);
		this.iHeight = iHeight || this.oTextArea.style.height || (this.oTextArea.rows * 17);
		
		this.init();
	}
	
	WebEditor.prototype.init = function(){
		var oEditor = this;
		
		this.oBtns['Cut'] 						= new btn("images/cut.gif", 					function(){ oEditor.execCmd("Cut"); }, "Cut" );
		this.oBtns['Copy'] 						= new btn("images/copy.gif", 					function(){ oEditor.execCmd("Copy"); }, "Copy" );
		this.oBtns['Paste'] 					= new btn("images/paste.gif", 					function(){ oEditor.execCmd("Paste"); }, "Paste" );
		this.oBtns['Bold'] 						= new btn("images/bold.gif", 					function(){ oEditor.execCmd("Bold"); }, "Bold" );
		this.oBtns['Italic'] 					= new btn("images/italic.gif", 					function(){ oEditor.execCmd("Italic"); }, "Italic" );
		this.oBtns['Underline'] 				= new btn("images/underline.gif", 				function(){ oEditor.execCmd("Underline"); }, "Underline" );
		this.oBtns['StrikeThrough'] 			= new btn("images/strikethrough.gif", 			function(){ oEditor.execCmd("StrikeThrough"); }, "StrikeThrough" );
		this.oBtns['Subscript'] 				= new btn("images/subscript.gif", 				function(){ oEditor.execCmd("Subscript"); }, "Subscript" );
		this.oBtns['Superscript'] 				= new btn("images/superscript.gif", 			function(){ oEditor.execCmd("Superscript"); }, "Superscript" );
		this.oBtns['SelectAll'] 				= new btn("images/selectall.gif", 				function(){ oEditor.execCmd("SelectAll"); }, "SelectAll" );
		this.oBtns['RemoveFormat'] 				= new btn("images/removeformat.gif", 			function(){ oEditor.execCmd("RemoveFormat"); }, "RemoveFormat" );
		this.oBtns['JustifyLeft'] 				= new btn("images/justifyleft.gif", 			function(){ oEditor.execCmd("JustifyLeft"); }, "JustifyLeft" );
		this.oBtns['JustifyCenter'] 			= new btn("images/justifycenter.gif", 			function(){ oEditor.execCmd("JustifyCenter"); }, "JustifyCenter" );
		this.oBtns['JustifyRight'] 				= new btn("images/justifyright.gif", 			function(){ oEditor.execCmd("JustifyRight"); }, "JustifyRight" );
		this.oBtns['JustifyFull'] 				= new btn("images/justifyfull.gif", 			function(){ oEditor.execCmd("JustifyFull"); }, "JustifyFull" );
		this.oBtns['InsertOrderedList'] 		= new btn("images/insertorderedlist.gif", 		function(){ oEditor.execCmd("InsertOrderedList"); }, "InsertOrderedList" );
		this.oBtns['InsertUnorderedList'] 		= new btn("images/insertunorderedlist.gif", 	function(){ oEditor.execCmd("InsertUnorderedList"); }, "InsertUnorderedList" );
		this.oBtns['Indent'] 					= new btn("images/indent.gif", 					function(){ oEditor.execCmd("Indent"); }, "Indent" );
		this.oBtns['Outdent'] 					= new btn("images/outdent.gif", 				function(){ oEditor.execCmd("Outdent"); }, "Outdent" );
		this.oBtns['Undo'] 						= new btn("images/undo.gif", 					function(){ oEditor.execCmd("Undo"); }, "Undo" );
		this.oBtns['Redo'] 						= new btn("images/redo.gif", 					function(){ oEditor.execCmd("Redo"); }, "Redo" );
		
		
		this.oBtns['FontSize'] 					= new fontsize(this);
		this.oBtns['FontName'] 					= new fontname(this);
		this.oBtns['CreateLink'] 				= new btn("images/link.gif", 					function(){ oEditor.oSelectedSrcElement = null; oEditor.popupDialog("dialog/link.html"); }, "CreateLink" );
		this.oBtns['Unlink'] 					= new btn("images/unlink.gif", 					function(){ oEditor.execCmd("Unlink"); }, "Unlink" );
		this.oBtns['ForeColor'] 				= new btn("images/textcolor.gif", 				function(){ oEditor.oSelectedSrcElement = null; oEditor.popupDialog("dialog/forecolor.html"); }, "ForeColor" );
		this.oBtns['BackColor'] 				= new btn("images/bgcolor.gif", 				function(){ oEditor.oSelectedSrcElement = null; oEditor.popupDialog("dialog/backcolor.html"); }, "BackColor" );
		this.oBtns['InsertHorizontalRule'] 		= new btn("images/rule.gif", 					function(){ oEditor.execCmd("InsertHorizontalRule"); }, "InsertHorizontalRule" );
		this.oBtns['Source'] 					= new btn("images/source.gif", 					function(){ oEditor.setMode(); }, "Source" );
		this.oBtns['Preview']					= new btn("images/preview.gif", 				function(){ oEditor.Preview(); }, "Preview" );
		this.oBtns['Emoticon'] 					= new btn("images/emoticon.gif", 				function(){ oEditor.popupDialog("cgi/emoticon.php?WebEditor_Emoticon_Dir="+WebEditor_Emoticon_Dir+"&WebEditor_Emoticon_Num="+WebEditor_Emoticon_Num, WebEditor_Emoticon_popup_size[0], WebEditor_Emoticon_popup_size[1]); }, "Emoticon" );
		this.oBtns['About'] 					= new btn("images/about.gif", 					function(){ oEditor.oSelectedSrcElement = null; oEditor.popupDialog("dialog/about.html"); }, "About" );
		
		
		this.oBtns['Table'] 					= new btn("images/table.gif", 					function(){ oEditor.oSelectedSrcElement = null; oEditor.popupDialog("dialog/table.html"); }, "Table" );
		this.oBtns['TableProperties'] 			= new btn("images/tableproperties.gif", 		function(){ oEditor.popupDialog("dialog/table.html"); }, "Table Properties", false );
		this.oBtns['TdProperties'] 				= new btn("images/tdproperties.gif", 			function(){ oEditor.popupDialog('dialog/td.html'); }, "Td Properties", false );
		this.oBtns['TableAddRow']				= new btn("images/table_addrow.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).addRow(); }, "Add Row", false );
		this.oBtns['TableAddCol']				= new btn("images/table_addcol.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).addCol(); }, "Add Column", false );
		this.oBtns['TableAddCell']				= new btn("images/table_addcell.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).addCell(); }, "Add Cell", false );
		this.oBtns['TableDelRow']				= new btn("images/table_delrow.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).delRow(); }, "Del Row", false );
		this.oBtns['TableDelCol']				= new btn("images/table_delcol.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).delCol(); }, "Del Column", false );
		this.oBtns['TableDelCell']				= new btn("images/table_delcell.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).delCell(); }, "Del Cell", false );
		this.oBtns['TableSpanRow']				= new btn("images/table_spanrow.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).spanRow(); }, "Span Row", false );
		this.oBtns['TableSpanCol']				= new btn("images/table_spancol.gif", 			function(){ oEditor.focusEditor(); (new table(oEditor.oSelectedSrcElement)).spanCol(); }, "Span Column", false ); for( var sKey in this.oBtns ) if( sKey != 'Table' && ( sKey.indexOf('Table') == 0 || sKey.indexOf('Td') == 0 )) this.oBtnTables.push(sKey);
		
		
		this.oBtns['Image'] 					= new btn("images/image.gif", 					function(){ oEditor.oSelectedSrcElement = null; oEditor.popupDialog("dialog/image.html?WebEditor_Upload_Dir="+WebEditor_Upload_Dir+"&WebEditor_Upload_Size="+WebEditor_Upload_Size); }, "Image" );
		this.oBtns['ImageMapRectangle']			= new btn("images/image_map_rectangle.gif", 	function(){ oEditor.oBtns['ImageMapCircle'].setValue(false); oEditor.oBtns['ImageMapRectangle'].click(); }, "ImageMapRectangle", false );
		this.oBtns['ImageMapCircle']			= new btn("images/image_map_circle.gif", 		function(){ oEditor.oBtns['ImageMapRectangle'].setValue(false); oEditor.oBtns['ImageMapCircle'].click(); }, "ImageMapCircle", false ); for( var sKey in this.oBtns ) if( sKey != 'Image' && sKey.indexOf('Image')==0 ) this.oBtnImages.push(sKey);
		
		
		this.oWE = document.createElement('DIV');
		this.oWE.className = 'webeditor';
		this.oWE.style.width = this.iWidth;
		this.oWE.style.height = this.iHeight;
		
		
		this.oToolbar_Area = document.createElement('DIV');
		this.oToolbar_Area.style.width = '100%';
		
		
		this.oEditor_Area = document.createElement('IFRAME'); 
		this.oEditor_Area.frameBorder = 1;
		this.oEditor_Area.className = 'editor-frame';
		
		
		this.oSource_Area = cloneElement(this.oTextArea.id);
		this.oSource_Area.className = 'source';
		this.oSource_Area.style.width = '100%';
		this.oSource_Area.style.height = this.iHeight;
		this.oSource_Area.style.display = 'none';
		
		
		this.oStatusbar_Area = document.createElement('div');
		this.oStatusbar_Area.className = 'statusbar';
		this.oStatusbar_Area.innerHTML = '<div align="right">' + this.CopyRight() + '</div>';
		
		
		oToolbars = this.Toolbars();
		for( var sKey in oToolbars ) this.oToolbar_Area.appendChild( oToolbars[sKey].getElement() );
		this.oWE.appendChild(this.oToolbar_Area);
		this.oWE.appendChild(this.oEditor_Area);
		this.oWE.appendChild(this.oSource_Area);
		this.oWE.appendChild(this.oStatusbar_Area);
	}
	
	
	WebEditor.prototype.Toolbars = function(){
		var sValue = null;
		var OBtn = null;
		var oToolbars = new Array();
		
		for( var sKey in WebEditor_Btns ){
			oToolbars[sKey] = new toolbar();
			for( var iKey in WebEditor_Btns[sKey] ){
				sValue = WebEditor_Btns[sKey][iKey];
				if(sValue == '|') oToolbars[sKey].token();
				else if(sValue == '||') oToolbars[sKey].wideToken();
				else{
					OBtn = this.oBtns[sValue];
					if(OBtn.getType() == 'BUTTON' && OBtn.sImgSrc.indexOf(WebEditor_Basic_Dir, 0) == -1) OBtn.sImgSrc = WebEditor_Basic_Dir + '/' + OBtn.sImgSrc;
					oToolbars[sKey].add(OBtn.getElement());
				}
			}
			oToolbars[sKey].newLine();
		}
		return oToolbars;
	}
	
	
	WebEditor.prototype.generate = function(){
		var oEditor = this;
		this.oTextArea.replaceNode(this.oWE);
		this.generateEditor();
		
		if( this.oSource_Area.form ){ 
			var submitFormFunc = this.oSource_Area.form.getAttribute('onsubmit');
			this.oSource_Area.form.onsubmit = function(){
				if( !oEditor.oBtns['Source'].getValue() ) oEditor.updateSource();
				if( submitFormFunc ) submitFormFunc.call();
			}
		}
	}
	
	
	WebEditor.prototype.setMode = function(sMode){
		
		sMode = ( typeof sMode == 'undefined' )?(this.oBtns['Source'].getValue()?'Editor':'Source'):sMode;
		
		this.oToolbar_Area.innerHTML = '';
		if( sMode == 'Source' ){ 
			this.oSource_Area.style.display = '';
			this.oEditor_Area.style.display = 'none';
			
			this.updateSource();
			this.oToolbar_Area.appendChild( this.oBtns['Source'].getElement() );
			this.oBtns['Source'].setValue(true);
		}
		else{ 
			this.oSource_Area.style.display = 'none';
			this.oEditor_Area.style.display = '';
			
			this.updateDocument( this.oSource_Area.value );
			oToolbars = this.Toolbars();
			for( var sKey in oToolbars ) this.oToolbar_Area.appendChild( oToolbars[sKey].getElement() );
			this.oBtns['Source'].setValue(false);
		}
		this.focusEditor();
	}
	
	
	WebEditor.prototype.getMode = function(){
		return this.oBtns['Source'].getValue()?'Source':'Editor';
	}
	
	
	WebEditor.prototype.getValue = function(){
		if(!this.oBtns['Source'].getValue()) this.updateSource();
		return this.getSource();
	}
	
	
	WebEditor.prototype.generateEditor = function(){
		var oEditor = this;
		var doc = this.getDocument();
		
		var html = '<html>';
		html += '<head>';
		html += '<style type="text/css"> @import url("' + WebEditor_User_CSS + '"); </style>';
		html += '</head>';
		html += '<body>' + this.getSource() + '</body>';
		html += '</html>';
		
		doc.open();
		doc.write(html);
		doc.close();
		
		
		doc.body.contentEditable = true;
		
		
		this.addEvent(doc, 'onkeyup',			update );
		this.addEvent(doc, 'onkeypress',		keyPress );
		
		
		this.addEvent(doc, 'onmouseup', 		update );
		this.addEvent(doc, 'onmouseover', 		over );
		this.addEvent(doc, 'onmouseout', 		out );
		
		
		this.addEvent(doc, 'oncontextmenu', function(){
			var oSrcElement = oEditor.getDocumentWindow().event.srcElement;
			var oContext = new context(oEditor);
			out();
			
			
			oContext.add('Copy', function(){ oEditor.execCmd("Copy"); } );
			oContext.add('Cut', function(){ oEditor.execCmd("Cut"); } );
			oContext.add('Paste', function(){ oEditor.execCmd("Paste"); } );
			
			
			if(oSrcElement && oSrcElement.nodeType == 1 && oSrcElement.tagName.toUpperCase() != 'BODY'){
				oContext.newLine();
				oContext.add( oEditor.HTMLEncode('<')+oSrcElement.tagName.toUpperCase()+oEditor.HTMLEncode('>')+' Edit', function(){
					oEditor.oSelectedSrcElement = oSrcElement;
					oEditor.popupDialog("dialog/tag.html");
				} );
			}
			
			
			if( oEditor.isTable(oSrcElement) ){
				var oTEs = oEditor.getTableElements(oSrcElement);
				var oTd = oTEs['TD'];
				var oTr = oTEs['TR'];
				var oTable = oTEs['TABLE'];
				
				
				if( oTd ){
					
					oContext.newLine();
					oContext.add('Add Row', function(){ (new table(oTd)).addRow(); } );
					oContext.add('Add Column', function(){ (new table(oTd)).addCol(); } );
					oContext.add('Add Cell', function(){ (new table(oTd)).addCell(); } );
					
					
					oContext.newLine();
					oContext.add('Del Row', function(){ (new table(oTd)).delRow(); });
					oContext.add('Del Column', function(){ (new table(oTd)).delCol(); } );
					oContext.add('Del Cell', function(){ (new table(oTd)).delCell(); } );
					
					
					var bNext_Tr = (oTr && typeof oTable.rows[oTr.rowIndex+1] != 'undefined')?true:false;
					var bNext_Td = (oTr && oTd && typeof oTable.rows[oTr.rowIndex].cells[oTd.cellIndex+1] != 'undefined')?true:false;
					
					if( bNext_Tr || bNext_Td ) oContext.newLine();
					if( bNext_Tr ) oContext.add('Row Span', function(){ (new table(oTd)).spanRow(); });
					if( bNext_Td ) oContext.add('Col Span', function(){ (new table(oTd)).spanCol(); });
					
					
					oContext.newLine();
					oContext.add('TD Properties', function(){
						oEditor.oSelectedSrcElement = oTd;
						oEditor.popupDialog('dialog/td.html');
					});
				}
				
				
				if( oTable ){
					oContext.newLine();
					oContext.add('TABLE Properties', function(){
						oEditor.oSelectedSrcElement = oTable;
						oEditor.popupDialog('dialog/table.html');
					});
				}
			}
			
			
			if( oEditor.isImg(oSrcElement) ){
				oContext.newLine();
				oContext.add('IMAGE Properties', function(){
					oEditor.oSelectedSrcElement = oSrcElement;
					oEditor.popupDialog('dialog/image.html?WebEditor_Upload_Dir='+WebEditor_Upload_Dir);
				} );
			}
			
			
			oContext.show();
			return false;
		} );
				
		
		this.addEvent(doc, 'onclick',			click_controlselect );
		this.addEvent(doc, 'oncontrolselect',	click_controlselect );
		
		
		function update(){
			oEditor.updateToolbar();
		}
		
		
		function keyPress(){
			var iKeyCode = oEditor.getDocumentWindow().event.keyCode;
			if( iKeyCode == 13 && WebEditor_Convert_Tag_P ){ 
				oEditor.insertHTML("<BR>");
				return false;
			}
		}
		
		
		function out(){
			var oSrcElement = oEditor.getDocumentWindow().event.srcElement;
			if(oSrcElement.nodeType == 1 && (oEditor.isTable(oSrcElement) || oEditor.isImg(oSrcElement)) ){
				for( var sKey in oEditor.oSelectedSrcElementCSS ) eval("oSrcElement.style."+ sKey +"='"+oEditor.oSelectedSrcElementCSS[sKey]+"';");
				if(oSrcElement.style.cssText == "") oSrcElement.removeAttribute('style');
			}
		}
		
		
		function over(){
			var oSrcElement = oEditor.getDocumentWindow().event.srcElement;
			if(oSrcElement.nodeType == 1 && (oEditor.isTable(oSrcElement) || oEditor.isImg(oSrcElement)) ){
				var Styles = new Array('border','borderCollapse','borderColor','borderStyle','borderWidth','borderBottom','borderBottomColor','borderBottomStyle','borderBottomWidth','borderLeft','borderLeftColor','borderLeftStyle','borderLeftWidth','borderRight','borderRightColor','borderRightStyle','borderRightWidth','borderTop','borderTopColor','borderTopStyle','borderTopWidth');
				for( var sKey in Styles ) eval("oEditor.oSelectedSrcElementCSS['"+ Styles[sKey] +"'] = oSrcElement.style."+ Styles[sKey]);
				oSrcElement.style.border = 'solid 1px red';
			}
		}
		
		
		function click_controlselect(){
			var oSelectedSrcElement = (oEditor.getDocumentWindow().event.srcElement.tagName.toUpperCase() != 'BODY')? oEditor.getDocumentWindow().event.srcElement :null;
			out();
			
			
			var oBtnTables = oEditor.oBtnTables;
			if( oEditor.isTable(oSelectedSrcElement) ){
				oEditor.oSelectedSrcElement = oSelectedSrcElement;
				
				var oTEs = oEditor.getTableElements(oSelectedSrcElement);
				var oTd = oTEs['TD'];
				var oTr = oTEs['TR'];
				var oTable = oTEs['TABLE'];
				
				var bNext_Tr = (oTr && typeof oTable.rows[oTr.rowIndex+1] != 'undefined')?true:false;
				var bNext_Td = (oTr && oTd && typeof oTable.rows[oTr.rowIndex].cells[oTd.cellIndex+1] != 'undefined')?true:false;
				
				for( var iKey in oBtnTables ){
					if( oTable && oBtnTables[iKey] == 'TableProperties' ) oEditor.oBtns[oBtnTables[iKey]].used();
					if( oTd && oBtnTables[iKey] != 'TableProperties' ){
						if(oBtnTables[iKey] == 'TableSpanRow' && !bNext_Tr) oEditor.oBtns[oBtnTables[iKey]].unused();
						else if(oBtnTables[iKey] == 'TableSpanCol' && !bNext_Td) oEditor.oBtns[oBtnTables[iKey]].unused();
						else oEditor.oBtns[oBtnTables[iKey]].used();
					}
				}
			}
			else for( var iKey in oBtnTables ) oEditor.oBtns[oBtnTables[iKey]].unused();
			
			var oBtnImages = oEditor.oBtnImages;
			if( oEditor.isImg(oSelectedSrcElement) ){ for( var iKey in oBtnImages ) oEditor.oBtns[oBtnImages[iKey]].used() };
			else{ for( var iKey in oBtnImages ) oEditor.oBtns[oBtnImages[iKey]].unused() };
		}
		
		
		this.addEvent(doc, 'ondragstart',	function(){
			var oSelectedSrcElement = (oEditor.getDocumentWindow().event.srcElement.tagName.toUpperCase() != 'BODY')? oEditor.getDocumentWindow().event.srcElement :null;
			out();
			
			if( oEditor.isImg(oSelectedSrcElement) && ( oEditor.oBtns['ImageMapRectangle'].getValue() || oEditor.oBtns['ImageMapCircle'].getValue() ) ){
				var iStartX = oEditor.getDocumentWindow().event.offsetX;
				var iStartY = oEditor.getDocumentWindow().event.offsetY;
				
				oSelectedSrcElement.ondragend = function(){
					
					if( oEditor.isImg(oSelectedSrcElement) && ( oEditor.oBtns['ImageMapRectangle'].getValue() || oEditor.oBtns['ImageMapCircle'].getValue() ) ){
						var iEndX = oEditor.getDocumentWindow().event.offsetX;
						var iEndY = oEditor.getDocumentWindow().event.offsetY;
						var iWidth = oSelectedSrcElement.width;
						var iHeight = oSelectedSrcElement.height;
						
						
						if( ( 0 <= iEndX && iEndX <= iWidth ) && ( 0 <= iEndY && iEndY <= iHeight ) ){
							var oImg = new img(oEditor, oSelectedSrcElement);
							var sShape;
							var aCoords = new Array();
							if( oEditor.oBtns['ImageMapRectangle'].getValue() ){
								sShape = 'rect';
								var aCoords = [iStartX, iStartY, iEndX, iEndY];
							}
							if( oEditor.oBtns['ImageMapCircle'].getValue() ){
								sShape = 'circle';
								var circle_x = parseInt((iEndX + iStartX)/2);
								var circle_y = parseInt((iEndY + iStartY)/2);
								var circle_r = parseInt(Math.sqrt(Math.pow((iEndX-iStartX), 2)+Math.pow((iEndY-iStartY), 2))/2);
								var aCoords = [circle_x, circle_y, circle_r];
							}
							
							oEditor.oSelectedSrcElement = oImg.addArea(sShape, aCoords);
							oEditor.popupDialog('dialog/link.html');
						}
					}
				}
			}
		} );
	}
	
	
	
	
	WebEditor.prototype.updateToolbar = function(){
		var aas = this.getAllAncestors();
		var oEl = null;
		var tag = null;
		var updateBtns = {
			'Unlink':false,
			'Bold':false,
			'Italic':false,
			'Underline':false,
			'StrikeThrough':false,
			'Superscript':false,
			'Subscript':false,
			'JustifyLeft':false,
			'JustifyCenter':false,
			'JustifyRight':false,
			'JustifyFull':false,
			'ForeColor':false,
			'BackColor':false,
			'FontSize':'',
			'FontName':'',
			'InsertOrderedList':false,
			'InsertUnorderedList':false
		};
		
		
		for( var sKey in aas ){
			oEl = aas[sKey];
			tag = oEl.tagName.toUpperCase();
			if(tag == 'A')							updateBtns['Unlink'] = true;
			else if(tag == 'B' || tag == 'STRONG') 	updateBtns['Bold'] = true;
			else if(tag == 'EM') 					updateBtns['Italic'] = true;
			else if(tag == 'U') 					updateBtns['Underline'] = true;
			else if(tag == 'STRIKE') 				updateBtns['StrikeThrough'] = true;
			else if(tag == 'SUP') 					updateBtns['Superscript'] = true;
			else if(tag == 'SUB') 					updateBtns['Subscript'] = true;
			else if(tag == 'P' || tag == 'DIV'){
				if(oEl.align == 'left') 			updateBtns['JustifyLeft'] = true;
				else if(oEl.align == 'center') 		updateBtns['JustifyCenter'] = true;
				else if(oEl.align == 'right') 		updateBtns['JustifyRight'] = true;
				else if(oEl.align == 'justify') 	updateBtns['JustifyFull'] = true;
			}
			else if(tag == 'FONT'){
				if(oEl.color != '')					updateBtns['ForeColor'] = true;
				if(oEl.style.backgroundColor != '')	updateBtns['BackColor'] = true;
				if(oEl.size != '') 					updateBtns['FontSize'] = oEl.size;
				if(oEl.face != '') 					updateBtns['FontName'] = oEl.face;
			}
			else if(tag == 'OL') 					updateBtns['InsertOrderedList'] = true;
			else if(tag == 'UL') 					updateBtns['InsertUnorderedList'] = true;
			else {}
		}
		
		
		
		
		var oBtn = null;
		for( var sKey in updateBtns ){
			oBtn = this.oBtns[sKey];
			if( (oBtn.getType() == 'BUTTON' || oBtn.getType() == 'SELECT') && oBtn.getValue() != updateBtns[sKey] ) oBtn.setValue( updateBtns[sKey] );
		}
	}
	
	
	WebEditor.prototype.addEvent = function(obj, ev, func){
		obj.attachEvent(ev, func);
	}
	
	
	WebEditor.prototype.updateDocument = function(sSource, oElement){
		if( oElement && oElement.nodeType == 1 && ( typeof oElement != 'undefined' ) ){ 
			if( this.isTable(oElement) ) (new table(oElement)).update(sSource); 
			else oElement.outerHTML = trim(sSource); 
		}
		else{ 
			this.oSource_Area.value = sSource;
			this.generateEditor();
		}
	}
		
	
	WebEditor.prototype.getTableElements = function(oElement){
		var oTEs = new Array();
		while(oElement && oElement.nodeType==1 && oElement.tagName.toUpperCase() != 'TABLE'){
			oTEs[oElement.tagName.toUpperCase()] = oElement;
			oElement = oElement.parentElement;
		}
		oTEs[oElement.tagName.toUpperCase()] = oElement;
		return oTEs;
	}
	
	
	WebEditor.prototype.isTable = function(oElement){
		if( oElement && oElement.nodeType==1 && in_array(oElement.tagName.toUpperCase(), new Array('TD', 'TH', 'TR', 'TBODY', 'TABLE')) != -1 ) return true;
		else return false;
	}
	
	
	WebEditor.prototype.isImg = function(oElement){
		if( oElement && oElement.nodeType==1 && oElement.tagName.toUpperCase() == 'IMG' ) return true;
		else return false;
	}
	
	
	WebEditor.prototype.Preview = function(){
		this.updateSource();
		var sHref = WebEditor_Basic_Dir + '/dialog/preview.html?oElement=' + this.oSource_Area.id + '&WebEditor_User_CSS=' + WebEditor_User_CSS;
		var sWID = 'WebEditor_Preview';
		var WinWidth = 700;
		var WinHeight = 540;
		var iX = screen.width/2 - WinWidth/2;
		var iY = screen.height/2 - WinHeight/2;
		var sFeatures = 'width='+ WinWidth +', height='+ WinHeight +', top='+ iY +', left='+ iX + ', scrollbars=1, status=1';
		return window.open(sHref, sWID, sFeatures);
	}
	
	
	WebEditor.prototype.execCmd = function(sCmd, bUI, sValue){
		this.focusEditor();
		
		bUI = ( typeof bUI == 'undefined' )? false: bUI;
		sValue = ( typeof sValue == 'undefined' )? '': sValue;
		if(sValue == '') this.getDocument().execCommand(sCmd, bUI);
		else this.getDocument().execCommand(sCmd, bUI, sValue);
		
		this.updateToolbar();
	}
	
	
	WebEditor.prototype.insertHTML = function(html){
		if( typeof this.getSelectionRange() != 'undefined' ) this.getSelectionRange().pasteHTML(html);
	}
	
	
	WebEditor.prototype.updateSource = function(){
		this.oSource_Area.value = this.getDocumentBody().innerHTML;
	}
	
	
	WebEditor.prototype.getStatusbarHTML = function(){
		return this.oStatusbar_Area.innerHTML;
	}
	
	
	WebEditor.prototype.getSelectedSrcElement = function(){
		if( this.oSelectedSrcElement && this.oSelectedSrcElement.nodeType == 1 ) return this.oSelectedSrcElement;
		else return false; 
	}
	
	
	WebEditor.prototype.getSource = function(){
		return this.oSource_Area.value;
	}
	
	
	WebEditor.prototype.getDocument = function(){
		return this.getDocumentWindow().document;
	}
	
	
	WebEditor.prototype.getDocumentBody = function(){
		return this.getDocument().body;
	}
	
	
	WebEditor.prototype.getDocumentWindow = function(){
		return this.oEditor_Area.contentWindow;
	}
	
	
	WebEditor.prototype.getEditorArea= function(){
		return this.oEditor_Area;
	}
	
	
	WebEditor.prototype.focusEditor = function(){
		if(this.oBtns['Source'].getValue()) this.oSource_Area.focus();
		else this.oEditor_Area.contentWindow.focus();
	}
	
	
	WebEditor.prototype.HTMLEncode = function(sText){
		sText = sText.replace(/&/g, "&amp;") ;
		sText = sText.replace(/"/g, "&quot;") ;
		sText = sText.replace(/</g, "&lt;") ;
		sText = sText.replace(/>/g, "&gt;") ;
		sText = sText.replace(/'/g, "&#146;") ;
		
		return sText;
	}
	
	
	WebEditor.prototype.popupDialog = function(sUrl){
		this.focusEditor();
		
		var sWidth = arguments[1];
		var sHeight = arguments[2];
		var args = new Array();
		var sFeatures = '';
		
		args['oEditor'] = this;
		sFeatures += sWidth?'dialogWidth:'+sWidth+';':'';
		sFeatures += sHeight?'dialogHeight:'+sHeight+';':'';
		sFeatures = sFeatures || 'dialogWidth:400px; dialogHeight:550px';
		sFeatures += '; resizable: no; help: no; status: no; scroll: no';
		
		return showModalDialog(WebEditor_Basic_Dir +'/'+ sUrl, args, sFeatures);
	}
	
	
	WebEditor.prototype.getAllAncestors = function(){
		var pe = this.getParentElement();
		var aas = new Array();
		while (pe && (pe.nodeType == 1) && (pe.tagName.toUpperCase() != 'BODY')){
			aas.push(pe);
			pe = pe.parentElement;
		}
		aas.push(this.getDocumentBody());
		return aas;
	};
	
	
	WebEditor.prototype.getSelectionRange = function(){
		return this.getDocument().selection.createRange();
	}
	
	
	WebEditor.prototype.getSelectionRangeText = function(){
		return this.getSelectionRange().text;
	}
	
	
	WebEditor.prototype.getSelectionRangeHTML = function(){
		return this.getSelectionRange().htmlText;
	}
	
	
	WebEditor.prototype.getParentElement = function(){
		var range = this.getSelectionRange();
		return range.parentElement ? range.parentElement() : this.getDocumentBody();
	}
	
	
	WebEditor.prototype.CopyRight = function(){
		return '<a target="_blank" href="http://mytnt.co.kr">WebEditor V 1.53 Build 43, WYSIWYG Tool for Browser</a>';
	}
