	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG Editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////	
	
	btn.prototype.sImgSrc;
	btn.prototype.oAnchor;
	btn.prototype.oImg;
	btn.prototype.func;
	btn.prototype.sAlt;
	btn.prototype.bProperty;
	btn.prototype.bUsed;
	
	
	function btn(sImgSrc, func){
		this.sImgSrc = sImgSrc;
		this.oImg = null;
		this.func = func;
		this.sAlt = arguments[2];
		this.bProperty = false;
		this.bUsed = (typeof arguments[3] == 'undefined')?true:arguments[3];
	}
	
	btn.prototype.used = function(){
		if(this.oImg){
			var oBtn = this;
			this.oImg.style.cursor = "hand";
			this.oImg.style.filter = "";
			this.oAnchor.onclick = function(){ oBtn.func.call(); return false; }
			this.oAnchor.onmouseover = function() { oBtn.over(); }
			this.oAnchor.onmouseout = function() { oBtn.out(); }
			this.getValue() ? this.enable() : this.disable() ;
		}
	}
	
	btn.prototype.unused = function(){
		if(this.oImg){
			this.oImg.style.filter = "progid:DXImageTransform.Microsoft.Alpha(opacity:15)";
			this.oImg.style.cursor = "default";
			this.oAnchor.onclick = function(){ return false; }
			this.oAnchor.onmouseover = function() { return false; }
			this.oAnchor.onmouseout = function() { return false; }
			this.disable();
		}
	}
	
	
	btn.prototype.getType = function(){
		return 'BUTTON';
	}
	
	
	btn.prototype.getElement = function(){
		var oBtn = this;
		
		this.oAnchor = document.createElement('A');
		this.oImg = document.createElement('IMG');
		
		this.oAnchor.href = '';
		if(this.bUsed) this.used();
		else this.unused();
		
		this.oImg.src = this.sImgSrc;
		if(this.sAlt && typeof this.sAlt != 'undefined') this.oImg.alt = this.sAlt;
		this.oImg.align = 'absmiddle';
		
		this.disable();
		this.oAnchor.appendChild(this.oImg);
		
		return this.oAnchor;
	}
	
	
	btn.prototype.getProperty = function(){
		return this.bProperty;
	}
	
	
	btn.prototype.click = function(){
		this.setValue( !this.getValue() );
	}
	
	
	btn.prototype.getValue = function(){
		return this.getProperty();
	}
	
	
	btn.prototype.setValue = function(bValue){
		this.setProperty(bValue);
	}
	
	
	btn.prototype.setProperty = function(bProperty){
		this.bProperty = bProperty;
		this.bProperty ? this.enable() : this.disable() ;
	}
	
	
	btn.prototype.enable = function(){
		this.oImg.className = 'btn-enebled';
	}
	
	
	btn.prototype.disable = function(){
		this.oImg.className = 'btn-disabled';
	}
	
	
	btn.prototype.over = function(){
		if(!this.getProperty()) this.oImg.className = 'btn-over';
	}
	
	
	btn.prototype.out = function(){
		if(!this.getProperty()) this.oImg.className = 'btn-out';
	}