	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////
	// WebEditor - Copyright 2004 mytnt.co.kr
	//
	// A WYSIWYG Editor Tool
	// Developed By Sanjuck(mg_kang@hotmail.com)
	///////////////////////////////////////////////////////////////////////////////////////////////////
	///////////////////////////////////////////////////////////////////////////////////////////////////	
	
	
	context.prototype.oEditor;
	context.prototype.oPopup;
	context.prototype.oPopupBody;
	context.prototype.iWidth;
	context.prototype.iHeight;
	
	function context(oEditor){
		var oContext = this;
		
		this.oEditor = oEditor;
		this.oPopup = null;
		this.oPopupBody = null;
		this.iWidth = 115;
		this.iHeight = 0;
		
		this.oPopup = this.oEditor.getDocumentWindow().createPopup();
		
		this.oPopupBody = this.oPopup.document.body
		this.oPopupBody.style.borderTop = 'solid 1px #999999';
		this.oPopupBody.style.borderBottom = 'solid 2px #666666';
		this.oPopupBody.style.borderLeft = 'solid 1px #999999';
		this.oPopupBody.style.borderRight = 'solid 2px #666666';
		this.oPopupBody.style.backgroundColor = '#EFEFEF';
		this.oPopupBody.style.padding = '0 0 0 0';
		
		this.oEditor.addEvent(this.oEditor.getDocument(), 'onmouseup', function(){ oContext.hide() } );
	}
	
	context.prototype.show = function(oElement){
		this.oPopup.show(
			this.oEditor.getDocumentWindow().event.clientX,
			this.oEditor.getDocumentWindow().event.clientY,
			this.iWidth, this.iHeight + 3,
			this.oEditor.getEditorArea()
		);
	}
	
	context.prototype.hide = function(oElement){
		this.oPopup.hide();
	}
	
	context.prototype.add = function(sText, ev){
		var oContext = this;
		
		oPopupDoc = this.oPopup.document;
		var div = oPopupDoc.createElement('DIV');
		div.style.width = '100%';
		div.style.padding = '2 5 0 5';
		div.style.height = 17;
		div.style.fontFamily = 'verdana';
		div.style.fontSize = '10px';
		this.iHeight += 17;
		
		var a = oPopupDoc.createElement('A');
		a.innerHTML = sText;
		a.onmouseover = function(){
			a.style.cursor='hand';
			div.style.background = '#CCCCCC';
		}
		a.onmouseout = function(){
			div.style.background = '';
		}
		a.onclick = function(){
			ev.call();
			oContext.hide();
			return false;
		};
		
		div.appendChild(a);
		
		this.oPopupBody.appendChild(div);
	}
	
	context.prototype.newLine = function(){
		oPopupDoc = this.oPopup.document;
		
		var nl = oPopupDoc.createElement("IMG");
		nl.style.width = '100%';
		nl.style.height = '1px';
		nl.style.backgroundColor = '#666666';
		nl.style.margin = '0px 3px 0px 3px';
		
		this.iHeight += 1;
		this.oPopupBody.appendChild(nl);		
	}